Project

General

Profile

Bug #10093

Upgrade to Gitolite v3 on puppet-git.lizard

Added by intrigeri about 2 years ago. Updated about 1 month ago.

Status:
Confirmed
Priority:
Elevated
Assignee:
Category:
Infrastructure
Target version:
Start date:
08/25/2015
Due date:
% Done:

0%

QA Check:
Feature Branch:
Type of work:
Sysadmin
Blueprint:
Easy:
Affected tool:

Description

Gitolite v2 is not in Jessie.

The main difficulties I expect are: hooks handling (we do complicated stuff there), and migrating from ADC to some replacement.

Resources:


Related issues

Blocks Tails - Feature #13284: Core work 2017Q2→2019Q1: Sysadmin (Adapt our infrastructure) Confirmed 06/30/2017
Copied to Tails - Bug #14587: Upgrade to Gitolite v3 on buse Confirmed 08/25/2015

History

#1 Updated by sajolida almost 2 years ago

  • Target version changed from 246 to Tails_2.0

#2 Updated by intrigeri almost 2 years ago

  • Assignee set to intrigeri

Either I'll manage to do it by the end of the year, or it'll be postponed to the last call for upgrades from Wheezy, I guess.

#3 Updated by intrigeri almost 2 years ago

  • Target version changed from Tails_2.0 to Tails_2.6

#4 Updated by intrigeri about 1 year ago

  • Target version changed from Tails_2.6 to Tails_2.7

Let's see if we manage to handle that in September. If we don't, we'll need to reschedule this to some later sysadmin sprint.

#5 Updated by intrigeri 12 months ago

  • Target version changed from Tails_2.7 to 284

Best case I'll work on this around December 17-20.

#6 Updated by anonym 11 months ago

  • Target version changed from 284 to Tails 2.10

#7 Updated by intrigeri 10 months ago

  • Target version changed from Tails 2.10 to Tails_2.11

I had to take over a number of more urgent sysadmin tasks, so this'll have to wait.

#8 Updated by intrigeri 8 months ago

  • Target version changed from Tails_2.11 to Tails_3.2

I don't see myself working on this before 3.0 is out, and probably not during summer.

#9 Updated by intrigeri 5 months ago

  • Target version changed from Tails_3.2 to Tails_3.3

#10 Updated by intrigeri 4 months ago

  • Target version changed from Tails_3.3 to 2018

#11 Updated by intrigeri about 1 month ago

  • Subject changed from Upgrade to Gitolite v3 to Upgrade to Gitolite v3 on puppet-git.lizard

#12 Updated by intrigeri about 1 month ago

  • Copied to Bug #14587: Upgrade to Gitolite v3 on buse added

#13 Updated by intrigeri about 1 month ago

#14 Updated by intrigeri about 1 month ago

  • Blocks Feature #13284: Core work 2017Q2→2019Q1: Sysadmin (Adapt our infrastructure) added

#15 Updated by intrigeri about 1 month ago

  • Description updated (diff)

#16 Updated by intrigeri about 1 month ago

  • Blocks deleted (Feature #13529: Upgrade puppet-git.lizard to Stretch)

#17 Updated by intrigeri about 1 month ago

(I've quickly tested gitolite/wheezy on current sid and at least basic operations work fine, so let's not block on this.)

Also available in: Atom PDF